var ADOBEDMPNS = ADOBEDMPNS ? ADOBEDMPNS : {};
ADOBEDMPNS.Utilities = ADOBEDMPNS.Utilities ? ADOBEDMPNS.Utilities : {};


ADOBEDMPNS.Utilities.setOrientation = function(orientation) 
{
	//Note: this call fails on iOS6 because 'orientation' is a non-editable property
    window.__defineGetter__('orientation',function() { 
                            return orientation; 
                            });
	
	if(window.onorientationchange)
	{
		window.onorientationchange();
	}
	
	return window.orientation;
};

ADOBEDMPNS.Utilities.adjustScale = function(scaleLevel)
{    
    var metaId = "scale-adobedmp";
    var meta = document.getElementById(metaId);
    if( !meta )
    {
        meta = document.createElement('meta');
        var head = document.head;
        head.appendChild(meta);
        
        meta.setAttribute("id", metaId);
        
        // be sure to set the name first, because only 'content' attribute triggers a reprocess
        meta.setAttribute("name", "viewport");
    }
    
    meta.setAttribute("content", "initial-scale=" + scaleLevel + "; minimum-scale=" + 0.0 + "; maximum-scale=" + 2.0 + "; width=device-width; user-scalable=yes");
};

ADOBEDMPNS.Utilities.fitContentInViewport = function()
{    
    var contentWidth = document.body.scrollWidth;
    
    if (contentWidth == 0)
    {
        // Pages with dynamic layout may have a zero scrollWidth.
        // In such cases, do not try to scale the content.
        return;
    }
    
    var viewportWidth = window.innerWidth;

    ADOBEDMPNS.Utilities.adjustScale(viewportWidth/contentWidth);
    
    // Force re-layout. Sends a sync message a short while after this has occurred.
    document.body.style.display = "none";
    document.body.style.display = "block";
};

ADOBEDMPNS.Utilities.applyViewportMetaTag = function()
{
    if (document.head) {
        var metatags = document.head.getElementsByTagName("meta");
        
        for (var i = 0; i < metatags.length; ++i) {
            if (metatags[i].name == "viewport") {
                delete metatags[i];
                break;
            }
        }
        
        var viewportContent = "width=device-width, initial-scale=1.0, maximum-scale=1.0";
        var newTag = document.createElement("meta");
        
        newTag.name = "viewport";
        newTag.content = viewportContent;
        
        document.head.appendChild(newTag);
    }
};
