(function() {

var domLevel2EventsToForward = ["mousedown", 
                                "mouseup", 
                                "mouseclick", 
                                "touchstart", 
                                "touchmove", 
                                "touchend", 
                                "click"];

// Constructs a hash table to allow us to quickly
// determine if an event of a given type should be
// forwarded to the viewer application.
 
var forwardedEventsHash = {};
for (var i = 0; i < domLevel2EventsToForward.length; ++i)
{
    forwardedEventsHash[domLevel2EventsToForward[i]] = true;
}
 
var adobeDefaultAddEventListener = HTMLElement.prototype.addEventListener;
 
HTMLElement.prototype.addEventListener = function(type, listener, useCapture) {
    if(forwardedEventsHash[type])
    {
        adobeDefaultAddEventListener.call(this, type, ADOBEDMPNS.Viewer.notifyOfClickEvent, useCapture);
        adobeDefaultAddEventListener.call(this, "touchstart", ADOBEDMPNS.Viewer.suppressEvent, useCapture);
        adobeDefaultAddEventListener.call(this, "touchend", ADOBEDMPNS.Viewer.suppressEvent, useCapture);
    }
    
    if (listener !== ADOBEDMPNS.Viewer.notifyOfClickEvent) {
        adobeDefaultAddEventListener.call(this, type, listener, useCapture);
    }
};
 
HTMLElement.prototype.adobeDefaultAddEventListener = adobeDefaultAddEventListener;
 
})();
