/**
 * The main application file.
 */
var ADOBE = ADOBE || {};

ADOBE.AppView = Backbone.View.extend({
	el: $("body"),
	
	isOnline: false,
	
	showMore: null,
	
	// The previous visibility of the "show more" link.
	showMoreWasVisible: null,
	
	folios: null,
	
	// The number of folios to add for each page.
	foliosPerPage: 13,

	LBL_SIGN_OUT: "Sign Out",
	LBL_SIGN_IN: "Sign In",
	LBL_RESTORE_ALL_PURCHASES: "Restore All Purchases",
	
	initialize: function(isAPIAvailable, isOnline) {
		// Set a flag for the API availability in the ADOBE namespace.
		ADOBE.isAPIAvailable = isAPIAvailable;
		
		this.isOnline = isOnline;
		
		var scope = this;
			
		var html = "";
		
		// Swap in a different banner depending if we're online or not.
		if (navigator.onLine){
			html += "<div id='banner'>";
			html += 	"<div id='banner-logo'></div>";
			html += 	"<span class='banner-text'></span>";
			html += "</div>";
		}
		else{
			html += "<div id='banner'>";
			html += 	"<span class='banner-text'>AUGUST 2013 LIONS</span>";
			html += "</div>";
		}
		
		html += "<div id='content-box'>";
		html +=		"<div id='intro-text'>My Account</div>";
		html +=		"<div id='body-text'>";
		html +=			"<div class='body-block' id='bodygroup1' >";
		html +=					"<div class='button-yellow'><div id='body1' class='large-text'>I FORGOT MY PASSWORD</div>";
		html +=					"</div>";
		html +=			"</div>";
		html +=			"<div class='body-block' id='bodygroup4'>";
		html +=					"<div class='button-yellow'><div id='body4' class='large-text'>CUSTOMER SUPPORT</div>";
		html +=					"</div>";
		html +=			"</div>";
		html +=			"<div class='body-block' id='bodygroup5'>";
		html +=				"<div class='button-yellow'><div id='body5' class='large-text' style='padding-top: 13px;'>RESTORE PAST ISSUES</div>";
		html +=				"<div id='body5s' class='small-text'><i>iTunes Subscriptions Only</i></div></div>";
		html +=			"</div>";
		html +=			"<div class='body-block' id='bodygroup6'>";
		html +=				"<div class='button-yellow'><div id='body4' class='large-text'>FREQUENTLY ASKED QUESTIONS</div></div>";
		html +=			"</div>";	
		html +=		"</div>";
		html +=		"<div id='footer-text'><div id='FAQ2' style='display: inline-block; padding: 8px;'>FAQ</div>|<div style='display: inline-block; padding: 8px;'><a href='mailto:ngsdigital@customersvc.com'>NGSDigital@CustomerSvc.com</a></div>|<div style='display: inline-block; padding: 8px;'>1-800-895-2068</div>|<div id='privacyPolicy' style='display: inline-block; padding: 8px;'>Privacy Policy</div>|<div id='termsService' style='display: inline-block; padding: 8px;'>Terms of Service</div></div>";
		html += "</div>";
		
		$("body").html(html);
		
		if (navigator.onLine){
		
			// Pull in a random banner.
			var feedIndex;
		   	var totallen = issueData.length;
		   	var maxHeaders = issueData[(totallen-1)].headers.headerimg.length;
		   	intRandomVal = Math.floor(Math.random() * (maxHeaders)) + 1;
			strBannerURL = issueData[(totallen-1)].headers.headerimg[(intRandomVal-1)];
			strBannerText = issueData[(totallen-1)].headers.headertxt[(intRandomVal-1)];
			
			
			$('#banner').css("background-image","url(" + strBannerURL + ")");
			$('.banner-text').append(strBannerText);
		}

		
		$("#privacyPolicy").on("click", function(){ 
			if (navigator.onLine){
				adobeDPS.dialogService.open('http://www.nationalgeographic.com/community/privacy/','National Geographic - Privacy Policy');
			}
			else{
				$('body').append('<div id="nointernet-dialog" class="dialog pop"><p id="description">Please connect to the internet to use this feature.</p><button id="OK">OK</button></div>')
				$('#nointernet-dialog').on("click", "#OK", function() { $('#nointernet-dialog').remove(); });
			}
		});
		
		$("#termsService").on("click", function(){ 
			if (navigator.onLine){
				adobeDPS.dialogService.open('http://www.nationalgeographic.com/community/terms/','National Geographic - Terms of Service');
			}
			else{
				$('body').append('<div id="nointernet-dialog" class="dialog pop"><p id="description">Please connect to the internet to use this feature.</p><button id="OK">OK</button></div>')
				$('#nointernet-dialog').on("click", "#OK", function() { $('#nointernet-dialog').remove(); });
			}
		});
		
		$("#FAQ2").on("click", function(){ adobeDPS.configurationService.gotoState('FAQ') });
		
		if( $("#bodygroup1").length ){
			$("#bodygroup1").on("click", function(){ scope.passwordRetrieve(scope);});
		}
		
		if( $("#bodygroup4").length ){
			$("#bodygroup4").on("click",function(){window.location.href = 'pages/custcare.html' });
		}
		
		if( $("#bodygroup6").length ){
			$("#bodygroup6").on("click", function(){ adobeDPS.configurationService.gotoState('FAQ') });
		}
		
		if( $("#bodygroup5").length ){
			$("#bodygroup5").on("click", function() { scope.restorePurchases(scope); });
		}
		
		// Uncomment the textarea below to enable debug output via debug().
		//html += "<textarea class='debug'></textarea>";
		window.debug = function(value) {
			$(".debug").val($(".debug").val() + ($(".debug").val() == "" ? "" : "\n") + value);
		}
	 
	},
	
	restorePurchases: function(scope) {
		if (navigator.onLine){
			scope.restorePurchase_handler();
		}
		else{
			$('body').append('<div id="nointernet-dialog" class="dialog pop"><p id="description">Please connect to the internet to use this feature.</p><button id="OK">OK</button></div>')
			$('#nointernet-dialog').on("click", "#OK", function() { $('#nointernet-dialog').remove(); });
		}
	},
	
	passwordRetrieve: function(scope) {
		if (navigator.onLine){
			location.href = "https://subscription.timeinc.com/storefront/universalForgotPassword.ep?magcode=NG&FORM=iPad";
		}
		else{
			$('body').append('<div id="nointernet-dialog" class="dialog pop"><p id="description">Please connect to the internet to use this feature.</p><button id="OK">OK</button></div>')
			$('#nointernet-dialog').on("click", "#OK", function() { $('#nointernet-dialog').remove(); });
		}
	},
	
	// Handler for the drop down menu.
	restorePurchase_handler: function(e) {
		var restoreDialog = new ADOBE.RestoreDialog();
		$("body").append(restoreDialog.render().el);
		restoreDialog.open();
	},
	
	displaySubscribeDialog: function() {
		var subscribeDialog = new ADOBE.SubscribeDialog({model: this.subscriptions});
		$("body").append(subscribeDialog.render().el);
		
		var scope = this;
		// Triggered from the dialog when a purchase is successful.
		$("body").on("subscriptionPurchased", function() {
			// Remove the subscribe button from the dropdown.
			$("#subscribe").css("display", "none");
			$("#subscription-tile").css("display", "none");
			
			scope.folioItemViewArray[0].showSubscribeButton(false);
			
			scope.folios[0].isShowSubscribeButton = false;
			
			$("body").off("subscriptionPurchased");
		});
	}
	
});