/**
 * Displays the login dialog that includes two links, "Forgot Password" and "Sign in".
 */
var ADOBE = ADOBE || {};

ADOBE.LoginDialog = Backbone.View.extend({
	tagName:  "div",
	
	className: "modal-background-grey",
	
	initialize: function() {
		var html  = "<form id='login'>";
		    html +=    "<div class='title'>Sign in for Existing Print Subscribers<div id='close' src='/adobeimg/icon_close.png' /></div>";
		    html +=    "<div class='description'>Please sign in to your account.</div>";
		    html +=    "<input id='username' type='text' name='username' placeholder='Username'/></div>";
		    html +=    "<input id='password' type='password' name='password' placeholder='Password'/></div>";
		    // Code should be added to allow a user to retrieve their password and create an account.
		    // Keep in mind that <a> tags open in the current window.
		    html +=    "<div class='link' id='forgotpw'><a href='https://subscription.timeinc.com/storefront/universalForgotPassword.ep?magcode=NG&FORM=iPad'>Forgot password?</a></div>";
		    html +=    "<div id='submit'>Sign In</div>";
		    html +=    "<div class='error'></div>";
		    html +=    "<div class='link' id='createacct'><a href='https://secure.customersvc.com/servlet/Show?WESPAGE=am/tablet/ng/ngweb_login.jsp&MSRSMAG=NG&MSDTRACK=IPAD&MSDDMOFF=ABTF&MSDVNDID=DGTL&FORM=IPAD'>Print subscribers tap here to set up your digital access account</a></div>";
			html += "</form>";
			
		this.template = _.template(html);
	},
	
	render: function() {
		this.$el.html(this.template());
		
		var scope = this;
		this.$el.find("#close").on("click", function() { scope.close() });
		this.$el.find("#submit").on("click", function() { scope.submit_clickHandler() });
		
		return this;
	},
	
	submit_clickHandler: function() {
		var $username = this.$el.find("#username");
		var $password = this.$el.find("#password");
		
		$("#login .error").html("");
		
		// Make sure username and password are not blank.
		if ($username.val() == "" || $("#password").val() == "") {
			if ($username.val() == "")
				$("#login .error").html("Please enter your username.");
			else if ($password.val() == "")
				$("#login .error").html("Please enter a valid password.");
		} else {
			// Login using the authenticationService.
			var transaction = adobeDPS.authenticationService.login($username.val(), $password.val());
			transaction.completedSignal.addOnce(function(transaction) {
				var transactionStates = adobeDPS.transactionManager.transactionStates;
				if (transaction.state == transactionStates.FAILED) {
					$("#login .error").html("Authentication Failed.")
				} else if (transaction.state == transactionStates.FINISHED){				
					this.$el.trigger("loginSuccess");
					this.close();
				}
			}, this);
		}
	},
	
	close: function() {
		this.$el.remove();
	},
	
	// Handler for when a user chooses to restore purchases.
	restore_clickHandler: function() {
		adobeDPS.receiptService.restorePurchases();
		this.close();
	},

});
